Module tdlight.api
Package it.tdlight.jni

# Class TdApi.EmailAddressAuthentication

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.EmailAddressAuthentication

Direct Known Subclasses:
  `TdApi.EmailAddressAuthenticationAppleId`, `TdApi.EmailAddressAuthenticationCode`, `TdApi.EmailAddressAuthenticationGoogleId`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.EmailAddressAuthentication extends TdApi.Object permits TdApi.EmailAddressAuthenticationCode, TdApi.EmailAddressAuthenticationAppleId, TdApi.EmailAddressAuthenticationGoogleId
This class is an abstract base class. Contains authentication data for a email address.

## Constructor Summary

Constructors
Constructor
Description
`EmailAddressAuthentication()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### EmailAddressAuthentication

public EmailAddressAuthentication()
Default class constructor.